Is 9.0/9.0.1 completely stable with homebrew yet?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by Verin, Oct 21, 2019.

  1. Verin
    OP

    Verin Member

    Newcomer
    1
    Sep 13, 2019
    United States
    When 9.0 first came out, I was one of the people that accidentally updated from 8.1.0, a lot wasn't working for me so I downgraded successfully back to 8.1.0. But, as you know now I cannot use my gamecard slot. So, I am wondering if all the old homebrew is working no problem on 9xx now or if I should stay where I am. I use a lot of homebrew/emulation of my switch such as GZDoom and Retroarch etc.

    Also, if everything is running smooth now, whats the safest way to update? Thanks in advance.
     
  2. EmulateLife

    EmulateLife GBAtemp Psycho!

    Member
    7
    May 30, 2016
    United States
    You would have to update all homebrew because controls are broken using older homebrew on 9.0/9.1.

    Very few games require 9.0+ so far so you might want to stay it's up to you. If you do choose to update use ChoidujourNX.
     
    Last edited by EmulateLife, Oct 21, 2019
  3. Verin
    OP

    Verin Member

    Newcomer
    1
    Sep 13, 2019
    United States
    A lot of the homebrew I use hasn't updated in awhile... so basically it's in the same state. The devs have to update the homebrew or it wont work. I thought Atmosphere had a work around now for this, I guess I was mistaken.
     
  4. EmulateLife

    EmulateLife GBAtemp Psycho!

    Member
    7
    May 30, 2016
    United States
    I don't know what you're trying to say or your point I'm just telling if you do update to 9.0 or 9.1 you will have to update to all new homebrew because old homebrew will not work. You can launch them but controls will not work at all so you're basically stuck. There's no workaround for that you have to update each and every homebrew. Don't want to do that don't update right now.
     
  5. Verin
    OP

    Verin Member

    Newcomer
    1
    Sep 13, 2019
    United States
    I am trying to say what I just said, as far as I knew Atmosphere implemented some type of work around to bypass those issues with older homebrew ("Atmosphere now provides a temporary hid-mitm that will cause homebrew to continue to work as expected). I am also saying a lot of the homebrew I use hasn't been updated in awhile (ex: GZDoom). I guess I will stay on 8.1.0 until they come up with a working solution or all of the homebrew I like is updated... which I don't see happening for a lot of them.
     
  6. smf

    smf GBAtemp Psycho!

    Member
    10
    Feb 23, 2009
    United Kingdom
    These two commits contradict what you're saying

    https://github.com/Atmosphere-NX/Atmosphere/commit/6613fda4b13398257babedb8b39691e0826ccc2f
    https://github.com/Atmosphere-NX/Atmosphere/commit/a750e55f75be93e1df74af126af7b1ce6e290275
     
  7. veekay

    veekay GBAtemp Regular

    Member
    5
    Jan 30, 2008
    United States
    Most old homebrew still works just fine for now - it is future releases of atmosphere that might disable the "fix" when the problem could arise with non-updated hb.

    I haven't found anything that doesn't work.
     
    Rahkeesh likes this.
  8. Verin
    OP

    Verin Member

    Newcomer
    1
    Sep 13, 2019
    United States
    I updated, luckily GZDoom was updated to work with it as was retroarch, so I am pretty happy.
     
  9. TPMJB

    TPMJB GBAtemp Regular

    Member
    3
    Aug 27, 2014
    United States
    Syracuse, New York
    Can 9.0 be found on Xbins yet?
     
  10. jkjj

    jkjj Advanced Member

    Newcomer
    2
    Jan 16, 2019
    United States
    i found 9.0 on relay chat bot/ ftp but no 9.0.1.
    they had better get their sh*! together or i will be forced to file a complaint
     
Quick Reply
Draft saved Draft deleted
Loading...